// 公共组件导出
import type { App } from 'vue'
import ImageUpload from './ImageUpload/index.vue'

// 组件列表
const components = {
  ImageUpload
}

// 全局注册
export function registerComponents(app: App) {
  Object.entries(components).forEach(([name, component]) => {
    app.component(name, component)
  })
}

// 按需导出
export { ImageUpload }

export default {
  install: registerComponents
}
